import { DatasetDescriptionFormEditorModel } from "../../misc/dataset-description-form/dataset-description-form.model";
import { DatasetProfileDefinitionModel } from "../../../core/model/dataset-profile-definition/dataset-profile-definition";
import { FormGroup, FormControl } from "@angular/forms";




export class QuickWizardDatasetDescriptionModel extends DatasetDescriptionFormEditorModel {

	public datasetLabel: string;
	//public status: number;

    fromModel(item: DatasetProfileDefinitionModel): DatasetDescriptionFormEditorModel {
        super.fromModel(item);
        return this;
    }

    buildForm(): FormGroup {
        const formGroup: FormGroup = super.buildForm();
		formGroup.addControl('datasetLabel', new FormControl({value: this.datasetLabel}));
		formGroup.addControl('status', new FormControl({value: this.status}));
        return formGroup;
    }
}
