package eu.eudat.data.dao.criteria;


import eu.eudat.data.entities.DatasetProfile;
import java.util.List;
import java.util.UUID;

public class DatasetProfileCriteria extends Criteria<DatasetProfile> {
    private boolean allVersions;
    private List<UUID> groupIds;

    public boolean getAllVersions() { return allVersions; }
    public void setAllVersions(boolean allVersions) { this.allVersions = allVersions; }

    public List<UUID> getGroupIds() { return groupIds; }
    public void setGroupIds(List<UUID> groupIds) { this.groupIds = groupIds; }
}
