import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { ProjectListingModel } from '../../../../core/model/project/project-listing';

@Component({
	selector: 'app-project-listing-item-component',
	templateUrl: './project-listing-item.component.html',
	styleUrls: ['./project-listing-item.component.scss'],
})
export class ProjectListingItemComponent implements OnInit {

	@Input() project: ProjectListingModel;
	@Input() showDivider: boolean = true;
	@Output() onClick: EventEmitter<ProjectListingModel> = new EventEmitter();

	constructor(

	) {
	}

	ngOnInit() {
	}

	itemClicked() {
		this.onClick.emit(this.project);
	}
}
